package main

import (
	"log"
  "os"
  "os/signal"

	"ntppm/config"
	"ntppm/mqtt"
	"ntppm/ntppq"
)


func main() {
  log.SetPrefix("NTPPM: ")
  log.SetFlags(log.Ldate | log.Ltime | log.Lshortfile)

  log.Println("starting")

  config.LoadConfiguration()

  mqtt.Start()
  defer mqtt.Stop()

  ntppq.Start()
  defer ntppq.Stop()

  c := make(chan os.Signal, 1)
  signal.Notify(c, os.Interrupt, os.Kill)
  <- c

  log.Println("terminating")
}
